# Set Up Web Chat

### Web chat is in [Preview](/appendix/feature-states.md).

### Setup Web Chat

1. Choose where you want to host your chat widget.&#x20;
2. &#x20;Select the chat link created in [Set Up Chat Link](/setup/set-up-chat-channel/set-up-chat-link.md) | Edit
3. Use the code supplied in the Widget Information block to implement web chat on your website or see example customizations below.

```html
<div id="chat-container"></div>
<script>
    var landisChatConfig = {
        titleText: "Custom Chat Title",
        privacyPolicyUrl: "ADD_PRIVACY_POLICY_URL_HERE",
        privacyConsentText: "By using this chat, you agree to our {Privacy Policy}.",
        privacyConsentRequired: true,
        nameFieldRequired: true,
        emailFieldRequired: true,
        customStyles: {
            brandColor: "#b23a03",
            textColor: "#e8713a",
            backgroundColor: "#fff",
            buttonBottomPosition: "2rem",
            buttonRightPosition: "2rem",
            buttonSize: "4rem"
        }
    };
</script>
<script src="https://stlccpublicprodeastus.blob.core.windows.net/contactcenter/chat/landischatwidget-latest.js"
    widgetId="00000000-0000-0000-0000-000000000000" widgetPass="00000000-0000-0000-0000-000000000000"></script>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://cc.docs.landis.cloud/setup/set-up-chat-channel/set-up-chat-link/set-up-web-chat.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
